#!/bin/sh
echo 'name: snap-core
version: 0.5.2
id: snap-core-0.5.2-2ce68752e0b9992ad2a7cb247be5f0a7

license: BSD3
copyright:
maintainer: snap@snapframework.com
stability:
homepage: http://snapframework.com/
package-url:
description: Snap is a simple and fast web development framework and server written in
             Haskell. For more information or to download the latest version, you can
             visit the Snap project website at <http://snapframework.com/>.
             .
             This library contains the core definitions and types for the Snap framework,
             including:
             .
             1. Primitive types and functions for HTTP (requests, responses, cookies,
             post/query parameters, etc)
             .
             2. Type aliases and helper functions for Iteratee I/O
             .
             3. A monad for programming web handlers called \"Snap\", inspired by
             happstack'\''s (<http://happstack.com/index.html>), which allows:
             .
             * Stateful access to the HTTP request and response objects
             .
             * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
             to handle requests and chaining handlers together
             .
             * Early termination of the computation if you know early what you want
             to return and want to prevent further monadic processing
             .
             /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Types",
             some iteratee utilities are in "Snap.Iteratee".
             .
             Higher-level facilities for building web applications (like user/session
             management, component interfaces, data modeling, etc.) are planned but not
             yet implemented, so this release will mostly be of interest for those who:
             .
             * need a fast and minimal HTTP API at roughly the same level of abstraction
             as Java servlets, or
             .
             * are interested in contributing to the Snap Framework project.
category: Web
author: James Sanders, Shu-yu Guo, Gregory Collins, Doug Beardsley
exposed: True
exposed-modules: Snap.Types Snap.Iteratee Snap.Internal.Debug
                 Snap.Internal.Http.Types Snap.Internal.Iteratee.Debug
                 Snap.Internal.Parsing Snap.Util.FileServe Snap.Util.FileUploads
                 Snap.Util.GZip Snap.Util.Readable
hidden-modules: Snap.Internal.Instances
                Snap.Internal.Iteratee.BoyerMooreHorspool Snap.Internal.Routing
                Snap.Internal.Types
import-dirs: /usr/local/lib/ghc-7.0.3/cabal/snap-core-0.5.2
library-dirs: /usr/local/lib/ghc-7.0.3/cabal/snap-core-0.5.2
              /usr/local/lib
hs-libraries: HSsnap-core-0.5.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: MonadCatchIO-transformers-0.2.2.2-77f92002035dfc46df8c41006d35f8aa
         attoparsec-0.9.1.1-4d3d2f136ac4fa8436d554496fbcc301
         attoparsec-enumerator-0.2.0.4-2af57c34ca2b65d1560fb71a896d905b
         base-4.3.1.0-63fd52d9e7e39016c91be0baf3543757
         blaze-builder-0.3.0.1-60b11fc303d7209d1de9852ef681017b
         bytestring-0.9.1.10-94a0a1c920aee21a485bdf21fd51b2be
         bytestring-nums-0.3.3-b281f72106c3e3d78b8b830169de49b8
         case-insensitive-0.3.0.1-701b8e11599184aa4817da7032ccacff
         containers-0.4.0.0-8781485edb2ac0db733a9f9c72e27945
         deepseq-1.1.0.2-677f443f43caba0d312ab80199d4a233
         directory-1.1.0.0-689c0feb497f60ef9b6c9a128fc1997e
         dlist-0.5-b61cdbf07dfc72a8eed9080438e6dda5
         enumerator-0.4.13.1-d68c33946b85cb34105dcf956cf284d7
         filepath-1.2.0.0-b273467b63dd15270d77af61bc610112
         mtl-2.0.1.0-91f62d81c946aa60137dcc008e554a3a
         old-locale-1.0.0.2-cc522edd16b73a70b897598c5f5d20c7
         old-time-1.0.0.6-64e7d46ef71d3ea7f6d3a651bbb2bcca
         text-0.11.0.6-c8599590347c5c77cb2239f432e5bbf9
         time-1.2.0.3-4f1bed38bdf37d398ba8f4311cbdac4a
         transformers-0.2.2.0-7341f4d82874561a0431f4b264319cf8
         unix-compat-0.2.2.1-521151d751359cdcf6919b197687da6b
         vector-0.7.1-cc2fb92eb9303daece32129c287a37b8
         zlib-0.5.3.1-a78f28b72a90bc6d93acffb0c82dfef3
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.3/cabal/snap-core-0.5.2/html/snap-core.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.3/cabal/snap-core-0.5.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
